package com.neusoft.smart.pos.mq.aliyunRocketMq;

import com.neusoft.smart.pos.framework.config.RabbitExchangeConfiguration;

public enum EnumMsgTopic {

	LOGIN("POS_G_1",RabbitExchangeConfiguration.FANOUT_EXCHANGE_LOGIN),
	ORDER_COMPLETE("POS_G_2",RabbitExchangeConfiguration.FANOUT_EXCHANGE_ORDER_COMPLETE),
	FILE_UPLOADED("POS_G_3",RabbitExchangeConfiguration.FANOUT_EXCHANGE_FILE_UPLOADED_NOTIFY);
	
	private String groupId;
	private String topic;
	
	EnumMsgTopic(String groupId,String topic) {
		this.groupId = groupId;
		this.topic = topic;
	}
	public String getGroupId() {
		return groupId;
	}
	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}
	public String getTopic() {
		return topic;
	}
	public void setTopic(String topic) {
		this.topic = topic;
	}
	
}
